## curl 7.26.0

=== debian/changelog ===
curl (7.26.0-1+wheezy9) wheezy-security; urgency=high

  * Fix multiple security issues (Closes: #742728):
    - Fix connection re-use when using different log-in credentials
      as per CVE-2014-0138
      http://curl.haxx.se/docs/adv_20140326A.html
    - Reject IP address wildcard matches as per CVE-2014-0139
      http://curl.haxx.se/docs/adv_20140326B.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 09 Apr 2014 19:03:55 +0200

curl (7.26.0-1+wheezy8) wheezy-security; urgency=high

  * Fix re-use of wrong HTTP NTLM connection as per CVE-2014-0015
    http://curl.haxx.se/docs/adv_20140129.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 29 Jan 2014 19:01:03 +0100

curl (7.26.0-1+wheezy7) stable-security; urgency=high

  * Fix GnuTLS checking of a certificate CN or SAN name field when the digital
    signature verification is turned off as per CVE-2013-6422
    http://curl.haxx.se/docs/adv_20131217.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 11 Dec 2013 18:00:59 +0100

curl (7.26.0-1+wheezy6) stable-security; urgency=low

  * Disable host verification too when using the --insecure option
    (Closes: #729965)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 19 Nov 2013 17:15:32 +0100

curl (7.26.0-1+wheezy5) stable-security; urgency=high

  * Fix OpenSSL checking of a certificate CN or SAN name field when the
    digital signature verification is turned off as per CVE-2013-4545
    http://curl.haxx.se/docs/adv_20131115.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 16 Nov 2013 13:04:23 +0100

curl (7.26.0-1+wheezy4) stable-proposed-updates; urgency=low

  * Add 09_reset-timecond.patch (Closes: #705783, #719300)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 10 Aug 2013 16:45:38 +0200

curl (7.26.0-1+wheezy3) stable-security; urgency=high

  * Fix URL decode buffer boundary flaw as per CVE-2013-2174
    http://curl.haxx.se/docs/adv_20130622.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 22 Jun 2013 16:45:24 +0200

curl (7.26.0-1+wheezy2) wheezy-proposed-updates; urgency=high

  [ Alessandro Ghedini ]
  * Fix cookie domain tailmatch as per CVE-2013-1944
    http://curl.haxx.se/docs/adv_20130412.html (Closes: #705274)
  * Set urgency=high accordingly

  [ Salvatore Bonaccorso ]
  * Add testcase for CVE-2013-1944

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 10 Apr 2013 22:56:48 +0200

curl (7.26.0-1+wheezy1) testing-proposed-updates; urgency=high

  * Fix buffer overflow when negotiating SMTP DIGEST-MD5 authentication
    as per CVE-2013-0249 (Closes: #700002)
    http://curl.haxx.se/docs/adv_20130206.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 10 Feb 2013 19:14:47 +0100

curl (7.26.0-1) unstable; urgency=low

  * New upstream release
    - Reject numerical IPv6 addresses outside brackets (Closes: #670126)
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Stricter Depends on libcurl3 (Closes: #666089)
  * Remove Ramakrishnan (as per his request), move myself to Maintainer
    Thank you for all your work so far
  * Disable memory tracking, but keep debug enabled
    - Remove memdebug symbols (used by curl only)
  * Refresh 01_runtests_gdb.patch, 90_gnutls.patch and 99_nss.patch
  * Disable not-quite-working symbols hiding

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 25 May 2012 15:19:51 +0200

curl (7.25.0-1) unstable; urgency=low

  * New upstream release
    - Add --ssl-allow-beast and CURLOPT_SSL_OPTIONS (Closes: #658276)
    - Allow negative numbers as option value (Closes: #659591)
  * Add libssh2-1-dev to libcurl4-gnutls-dev and libcurl4-nss-dev Depends
  * Bump debhelper compat level to 9
    - Make *.links files executable to simplify rules file
  * Pass --as-needed ld flag to avoid unneeded dependencies
    - Add workaround_as_needed_bug to workaround a libtool bug
    - Drop dont_link_to_krb5 (not needed because of --as-needed)
  * Do some clean-up in debian/rules
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Explicit Conflicts in -dev packages (fixes binaries-have-file-conflict)
  * Add openssh-server to build depends to enable some more tests
  * Update upstream copyright years
  * Refresh patches

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 23 Mar 2012 16:24:51 +0100
